transfer

The base class for delivery and tracker. More...

`#include <transfer.hpp>`

Inheritance diagram for transfer:
[legend]

## Public Types

enum | state { NONE, RECEIVED, ACCEPTED, REJECTED, RELEASED, MODIFIED }
| Delivery state values. More...

## Public Member Functions

| transfer ()
| Create an empty transfer.
enum state | state () const
| Get the remote state for a delivery.
class session | session () const
| Return the session for this transfer.
class connection | connection () const
| Return the connection for this transfer.
class container & | container () const
| Return the container for this transfer.
void | settle ()
| Settle the delivery; informs the remote end.
bool | settled () const
| Return true if the transfer has been settled.

## Detailed Description

The base class for delivery and tracker.

## Member Enumeration Documentation

## state

enum state

Delivery state values.

Enumerator
NONE | Unknown state.
RECEIVED | Received but not yet settled.
ACCEPTED | Settled as accepted.
REJECTED | Settled as rejected.
RELEASED | Settled as released.
MODIFIED | Settled as modified.

The documentation for this class was generated from the following file:

- proton/transfer.hpp